[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.BOF

Is the cursor at the beginning of the data (on the first record)

## Declaration

Source position: db.pas line 1624

`public property TDataSet.BOF : Boolean read FBOF;`

## Description

BOF returns True if the first record is the first record in the dataset, False otherwise. It will always be True if the dataset is just opened, or after a call to TDataset.First. As soon as TDataset.Next is called, BOF will no longer be true.

## See also

TDataset.EOF |  | Indicates whether the last record has been reached.
TDataset.Next |  | Go to the next record in the dataset.
TDataset.First |  | Position the dataset on the first record.

Documentation generated on: Feb 26 2014